
import javax.persistence.Column;
import javax.persistence.DiscriminatorValue;
import javax.persistence.Entity;
import javax.persistence.EntityListeners;
import javax.persistence.PrePersist;
import javax.persistence.PreUpdate;
import javax.persistence.Table;

@Entity
@EntityListeners({})
@Table(name="PT_EMP")
@DiscriminatorValue("3")
public class PartTimeProfessor extends Professor {
    @Column(name="H_RATE")
    private float hourlyRate;

    public float getHourlyRate() {
        return hourlyRate;
    }

    public void setHourlyRate(float hourlyRate) {
        this.hourlyRate = hourlyRate;
    }
    
    @PrePersist
    @PreUpdate
    public void verifyVacation() {
        System.out.println("PartTimeProfessor.verifyVacation called on employee: " + getId());
    }

    public String toString() {
        return "PartTimeProfessor id: " + getId() + " name: " + getName();
    }
}
